class: CommandLineTool
cwlVersion: v1.0
$namespaces:
  dct: 'http://purl.org/dc/terms/'
  doap: 'http://usefulinc.com/ns/doap#'
  foaf: 'http://xmlns.com/foaf/0.1/'
  sbg: 'https://www.sevenbridges.com/'
id: gatk_base_recalibrator_4_1_8_1
baseCommand:
  - gatk
  - BaseRecalibrator
inputs:
  - id: input
    type: File
    inputBinding:
      position: 3
      prefix: '--input'
    doc: BAM/SAM file containing reads
    secondaryFiles:
      - ^.bai
  - id: known_sites
    type:
      type: array
      items: File
      inputBinding:
        prefix: '--known-sites'
    inputBinding:
      position: 3
    doc: >-
      One or more databases of known polymorphic sites used to exclude regions
      around known polymorphisms from analysis
    secondaryFiles:
      - .idx
  - id: reference
    type: File
    inputBinding:
      position: 3
      prefix: '--reference'
    doc: Reference sequence file
    secondaryFiles:
      - .fai
      - ^.dict
  - id: output_file_name
    type: string?
    doc: Output file name. Not Required
  - id: add_output_sam_program_record
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--add-output-sam-program-record'
  - id: add_output_vcf_command_line
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--add-output-vcf-command-line'
  - id: arguments_file
    type:
      - 'null'
      - type: array
        items: File
        inputBinding:
          position: 0
          prefix: '--arguments_file'
  - id: binary_tag_name
    type: string?
    inputBinding:
      position: 10
      prefix: '--binary-tag-name'
  - id: bqsr_baq_gap_open_penalty
    type: float?
    inputBinding:
      position: 10
      prefix: '--bqsr-baq-gap-open-penalty'
  - id: cloud-index-prefetch-buffer
    type: int?
    inputBinding:
      position: 10
      prefix: '--cloud-index-prefetch-buffer'
  - id: cloud_prefetch_buffer
    type: int?
    inputBinding:
      position: 10
      prefix: '--cloud-prefetch-buffer'
  - id: create_output_bam_index
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--create-output-bam-index'
  - id: create_output_bam_md5
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--create-output-bam-md5'
  - id: create_output_variant_index
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--create-output-variant-index'
  - id: create_output_variant_md5
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--create-output-variant-md5'
  - id: default_base_qualities
    type: int?
    inputBinding:
      position: 10
      prefix: '--default-base-qualities'
  - id: deletions_default_quality
    type: int?
    inputBinding:
      position: 10
      prefix: '--deletions-default-quality'
  - id: disable_bam_index_caching
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--disable-bam-index-caching'
  - id: disable_read_filter
    type:
      - 'null'
      - type: array
        items: string
        inputBinding:
          prefix: '--disable-read-filter'
    inputBinding:
      position: 10
    doc: Read filters to be disabled before analysis
  - id: disable_sequence_dictionary_validation
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--disable-sequence-dictionary-validation'
  - id: exclude_intervals
    type: string?
    inputBinding:
      position: 10
      prefix: '--exclude-intervals'
  - id: gatk_config_file
    type: File?
    inputBinding:
      position: 10
      prefix: '--gatk-config-file'
  - id: gcs_max_retries
    type: int?
    inputBinding:
      position: 10
      prefix: '--gcs-max-retries'
  - id: gcs_project_for_requester_pays
    type: string?
    inputBinding:
      position: 10
      prefix: '--gcs-project-for-requester-pays'
  - id: indels_context_size
    type: int?
    inputBinding:
      position: 10
      prefix: '--indels-context-size'
  - id: insertions_default_quality
    type: int?
    inputBinding:
      position: 10
      prefix: '--insertions-default-quality'
  - id: interval_exclusion_padding
    type: int?
    inputBinding:
      position: 10
      prefix: '--interval-exclusion-padding'
  - id: interval_merging_rule
    type: string?
    inputBinding:
      position: 10
      prefix: '--interval-merging-rule'
  - id: interval_padding
    type: int?
    inputBinding:
      position: 10
      prefix: '--interval-padding'
  - id: interval_set_rule
    type: string?
    inputBinding:
      position: 10
      prefix: '--interval-set-rule'
  - id: intervals
    type: string?
    inputBinding:
      position: 10
      prefix: '--intervals'
  - id: lenient
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--lenient'
  - id: low_quality_tail
    type: int?
    inputBinding:
      position: 10
      prefix: '--low-quality-tail'
  - id: maximum_cycle_value
    type: int?
    inputBinding:
      position: 10
      prefix: '--maximum-cycle-value'
  - id: mismatches_context_size
    type: int?
    inputBinding:
      position: 10
      prefix: '--mismatches-context-size'
  - id: mismatches_default_quality
    type: int?
    inputBinding:
      position: 10
      prefix: '--mismatches-default-quality'
  - id: preserve_qscores_less_than
    type: int?
    inputBinding:
      position: 10
      prefix: '--preserve-qscores-less-than'
  - id: quantizing_levels
    type: int?
    inputBinding:
      position: 10
      prefix: '--quantizing-levels'
  - id: QUIET
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--QUIET'
  - id: read_filter
    type:
      - 'null'
      - type: array
        items: string
        inputBinding:
          prefix: '--read-filter'
    inputBinding:
      position: 10
  - id: read_index
    type: string?
    inputBinding:
      position: 10
      prefix: '--read-index'
  - id: seconds_between_progress_updates
    type: float?
    inputBinding:
      position: 10
      prefix: '--seconds-between-progress-updates'
  - id: sequence_dictionary
    type: File?
    inputBinding:
      position: 10
      prefix: '--sequence-dictionary'
  - id: sites_only_vcf_output
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--sites-only-vcf-output'
  - id: use_original_qualities
    type: boolean?
    inputBinding:
      position: 10
      prefix: '--use-original-qualities'
  - id: number_of_threads
    type: int?
  - id: memory_per_job
    type: int?
  - id: memory_overhead
    type: int?
  - id: temporary_directory
    type: string?
    doc: 'Default value: null. This option may be specified 0 or more times.'
outputs:
  - id: gatk_base_recalibrator_output
    type: File
    outputBinding:
      glob: |-
        ${
            if(inputs.output_file_name){
                return inputs.output_file_name
            } else {
                return inputs.input.basename.replace(/.bam/, '_bqsr.table')
            }
        }
label: gatk_base_recalibrator_4.1.8.1
arguments:
  - position: 0
    prefix: '--java-options'
    valueFrom: |-
      ${
           if(inputs.memory_per_job && inputs.memory_overhead){
              if(inputs.memory_per_job % 1000 == 0){
                  return "-Xmx" + (inputs.memory_per_job/1000).toString() + "G"
              } else {
                  return "-Xmx" + Math.floor((inputs.memory_per_job/1000)).toString() + "G"
              }
           } else if (inputs.memory_per_job && !inputs.memory_overhead){
              if(inputs.memory_per_job % 1000 == 0) {
                  return "-Xmx" + (inputs.memory_per_job/1000).toString() + "G"
              } else {
                  return "-Xmx" + Math.floor((inputs.memory_per_job/1000)).toString() + "G"
              }
           } else if(!inputs.memory_per_job && inputs.memory_overhead){
              return "-Xmx12G"
           } else {
              return "-Xmx12G"
           }
      }
  - position: 2
    prefix: '--tmp-dir'
    valueFrom: |-
      ${
          if(inputs.temporary_directory)
              return inputs.temporary_directory;
            return runtime.tmpdir
      }
  - position: 2
    prefix: '--output'
    valueFrom: |-
      ${
          if(inputs.output_file_name){
              return inputs.output_file_name
          } else {
              return inputs.input.basename.replace(/.bam/, '_bqsr.table')
          }
      }
requirements:
  - class: ResourceRequirement
    ramMin: 32000
    coresMin: 8
  - class: DockerRequirement
    dockerPull: 'ghcr.io/msk-access/gatk:4.1.8.1'
  - class: InlineJavascriptRequirement
'dct:contributor':
  - class: 'foaf:Organization'
    'foaf:member':
      - class: 'foaf:Person'
        'foaf:mbox': 'mailto:shahr2@mskcc.org'
        'foaf:name': Ronak Shah
    'foaf:name': Memorial Sloan Kettering Cancer Center
  - class: 'foaf:Organization'
    'foaf:member':
      - class: 'foaf:Person'
        'foaf:mbox': 'mailto:sumans@mskcc.org'
        'foaf:name': Shalabh Suman
    'foaf:name': Memorial Sloan Kettering Cancer Center
'dct:creator':
  - class: 'foaf:Organization'
    'foaf:member':
      - class: 'foaf:Person'
        'foaf:mbox': 'mailto:shahr2@mskcc.org'
        'foaf:name': Ronak Shah
    'foaf:name': Memorial Sloan Kettering Cancer Center
